TAAS - Feature #140

Main Ledger Report
02/02/2023 03:06 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 02/17/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Main Ledger Report

Description

Coding Main Ledger Report

History

#1 - 02/16/2023 02:01 PM - Junaid M
- File SQL-MainLedgerReport.sql added

#2 - 02/16/2023 02:15 PM - Junaid M
- File deleted (SQL-MainLedgerReport.sql)

#3 - 02/16/2023 02:17 PM - Junaid M
- File SQL-MainLedgerReport.sql added

Ul Change
1) Remove Column/Grouping from search area

MainLedger Condition: sin_chart_of_ac_type -> 2 Only

Controller Name: BackOfficeReport Controller

Sql Querry: vhr_currency = 'QAR' where condition only apply in query if search input currency is not base1 or base2

#4 - 02/16/2023 02:18 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#5 - 02/16/2023 06:49 PM - Junaid M
- Assignee changed from Junaid M to Shanto Shaji

#6 - 02/17/2023 11:58 AM - Shanto Shaji

- Status changed from Open to Coding Started

- Start date changed from 02/02/2023 to 02/17/2023
- % Done changed from 10 to 40

#7 - 02/20/2023 02:30 PM - Shanto Shaji
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#8 - 02/20/2023 05:18 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac
ISSUE FOUND

1.SET VALIDATIONS ON DATE PICKER

(to date not be smaller than from date )

2.FIX BUGS ON MAIN LEDGER SELECTION BOX

#9 - 04/01/2023 04:31 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 04/03/2023 06:15 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Syntax error on Base 1 currency
(42601: syntax error at or near "FROM")
2.Set alignment on grid- Amount

(Align to Right)

#11 - 04/19/2023 02:30 PM - Shanto Shaji

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#12 - 04/26/2023 05:33 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Ledger currency reports are not showing on grid
2.Add sl. Number on grid

#13 - 05/05/2023 02:50 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 05/11/2023 05:55 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.fix bugs while choose ledger currency
(only Base 2 reports showing )

#15 - 05/18/2023 12:03 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 06/21/2023 06:57 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set Defaults on GUI
(Branch , Main Ledger , Currency)

#17 - 06/22/2023 04:38 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#18 - 06/22/2023 04:38 PM - Shanto Shaji

Issue Fixed Now

#19 - 06/23/2023 07:03 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on Main Ledger Multi selection box - Drop down Icon missing
2.Fix errors on currency - selected currency change to default while search

3.Defaults not clear on reset

#20 - 06/24/2023 10:01 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 07/11/2023 04:20 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.FILTER ERASER NOT WORKING
2.SELECTING ALL LIST WHILE CHOOSING ONE

#22 - 07/13/2023 08:47 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 07/28/2023 06:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.1.ADD DR,CR IN NET BALANCE CLOSING BALANCE AND OPENING BALANCE (-VE AMOUNT-CR,+VE AMOUNT DR)

#24 - 08/23/2023 12:45 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 09/12/2023 03:46 PM - unnikannan S

unnikannan S wrote in #note-23:

ISSUE FOUNDED

1.1.ADD DR,CR IN NET BALANCE CLOSING BALANCE AND OPENING BALANCE (-VE AMOUNT-CR,+VE AMOUNT DR)

1.2.CORRECT THE NET VALUE

#26 - 09/12/2023 05:18 PM - Shanto Shaji
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#27 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan
#28 - 10/21/2023 10:09 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Added Print button and New Button. Solved issues with Reset Button and Date Period

#29 - 10/21/2023 11:14 AM - unnikannan S
TESTING DONE

#30 - 03/19/2024 05:42 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.DUPLICATION OF MAIN LEDGER CODE IN PRINT
#31 - 03/20/2024 03:26 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 06/25/2024 10:34 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
FIXED - 1.Show Data Of Income/Expense (COA) Main Ledgers
#33 - 07/01/2024 12:38 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#34 - 09/27/2024 07:22 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
FIXED - 1.Validate Transaction Date
#35 - 09/28/2024 11:13 AM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#36 - 11/27/2024 11:14 AM - Arathy PS
TESTING SCENERIO TO BE CHECKED

1. After completing the changes in 'year end' module check the functioning of the field 'consider PL&L'".

Files

SQL-MainLedgerReport.sql 3.32 KB 02/16/2023 Junaid M
